/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/







#ifndef _LKI_PRIVATE_H_
#define _LKI_PRIVATE_H_




#define COMMAND_FLG				0x01				
#define EVENT_FLG				0x02				
#define LOCALHOST_ADDR		"127.0.0.1"				
#define LKI_RECEIVE_COMMAND_RETRY_CNT	1			




#define TRUE			1				
#define FALSE			0 				




#define CMD_CLASS_INT				0x01L	
#define CMD_CLASS_SUP				0x02L	
#define CMD_CLASS_DBG				0x04L	
#define CMD_CLASS_LOC				0x08L	
#define CMD_CLASS_EXT				0x10L	
#define CMD_CLASS_BIN				0x20L	
#define CMD_CLASS_EV				0x40L	
#define CMD_TO_PW					0x01L	
#define CMD_TO_PWX					0x02L	
#define CMD_TO_KID					0x04L	


#define CMD_NULL					""		





typedef struct tagEvTbl{
	unsigned long	ulEvNum;					
	int			iParamNum;					
}EVTBL;

#endif 

