/* include/openquicktime/config.h.  Generated automatically by configure.  */
/* include/openquicktime/config.h.in.  Generated automatically from configure.in by autoheader.  */
/* 
 * System Specific Configuration
 * Copyright (C) 2002 QT4Linux and OpenQuicktime Teams
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Nicholas Humfrey 2002
 */


#ifndef OPENQUICKTIME_CONFIG_H__
#define OPENQUICKTIME_CONFIG_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <windows.h>


/* Define if using alloca.c.  */
/* #undef C_ALLOCA */

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define if you have alloca, as a function or macro.  */
#define HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
/* #undef HAVE_ALLOCA_H */

/* Define as __inline if that's what the C compiler calls it.  */
/* #undef inline */

/* Define to `long' if <sys/types.h> doesn't define.  */
/* #undef off_t */

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* If using the C implementation of alloca, define if you know the
   direction of stack growth for your system; otherwise it will be
   automatically deduced at run-time.
 STACK_DIRECTION > 0 => grows toward higher addresses
 STACK_DIRECTION < 0 => grows toward lower addresses
 STACK_DIRECTION = 0 => direction of growth unknown
 */
/* #undef STACK_DIRECTION */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* Openquicktime build version  */
#define OQT_VERSION "1.0.1"
#define OQT_BINARY_AGE 1
#define OQT_INTERFACE_AGE 1
#define OQT_MAJOR_VERSION 1
#define OQT_MICRO_VERSION 1
#define OQT_MINOR_VERSION 0
#define PACKAGE_STRING "OQT_WIN_PORT"

/* Use 64bit versions of ftell and fseek ? */
/* #undef OQT_64SEEK */

/* Define data types for the current system */
#define __s8 signed char
#define __s16 signed short
#define __s32 signed int
#define __s64 LONGLONG //signed long long
#define __u8 unsigned char
#define __u16 unsigned short
#define __u32 unsigned int
#define __u64 ULONGLONG //unsigned long long

/* Define if symbol tables on this system use leading underscores. */
#define USCORE 1

/* Define if dlsym automatically supplies a leading underscore. */
/* #undef DLSYM_ADDS_USCORE */

/* The number of bytes in a char.  */
#define SIZEOF_CHAR 1

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* The number of bytes in a long long.  */
#define SIZEOF_LONG_LONG 8

/* The number of bytes in a short.  */
#define SIZEOF_SHORT 2

/* Define if you have the ftello64 function.  */
/* #undef HAVE_FTELLO64 */

/* Define if you have the gettimeofday function.  */
#define HAVE_GETTIMEOFDAY 1

/* Define if you have the socket function.  */
#define HAVE_SOCKET 1

/* Define if you have the strtol function.  */
#define HAVE_STRTOL 1

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H 0

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <malloc.h> header file.  */
/* #undef HAVE_MALLOC_H */

/* Define if you have the <ndir.h> header file.  */
/* #undef HAVE_NDIR_H */

/* Define if you have the <strings.h> header file.  */
#define HAVE_STRINGS_H 1

/* Define if you have the <sys/dir.h> header file.  */
/* #undef HAVE_SYS_DIR_H */

/* Define if you have the <sys/ndir.h> header file.  */
/* #undef HAVE_SYS_NDIR_H */

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the z library (-lz).  */
#define HAVE_LIBZ 1



#include <math.h>

#if HAVE_DIRENT_H
#include <dirent.h>
#else
#define dirent direct
#if HAVE_SYS_NDIR_H
#include <sys/ndir.h>
#endif
#if HAVE_SYS_DIR_H
#include <sys/dir.h>
#endif
#if HAVE_NDIR_H
#include <ndir.h>
#endif
#endif


#define MAX_FILESIZE ((size_t)0xff << (sizeof(size_t) - 13))


/* 64 bit file seeking support ? */
#if OQT_64SEEK
#define FTELL(f) ftello64((FILE*)f)
#define FSEEK(f,o,w) fseeko64((FILE*)f,o,w)
#else
#define FTELL(f) ftell((FILE*)f)
#define FSEEK(f,o,w) fseek((FILE*)f,o,w)
#endif

// dummy plugin directory
#define OQT_PLUGIN_DIR ""
// we have a config file
#define __CONFIG_H_BOT_INCLUDED__
#define inline __inline

#define PACKAGE_VERSION "2.0"

static inline void	bzero(void* ptr, int size) { memset(ptr, 0, size); };


#endif
/* OPENQUICKTIME_CONFIG_H__ */
