/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: op.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdlib.h>

#include	"murasaki.h"
#include	"env.h"

MU_ieee1394_config_t config;

static void
get_info_ieee1394(void)
{
	if (get_id_ieee1394(&config) == INVALID)	/* always GOOD */
		exit(1);
}

struct mu_op mu_op = {
	command: MU_IEEE1394,
	mappath: MU_CONF_DIR "/" MU_IEEE1394MAP,
	default_mapname: MU_DEFAULT_IEEE1394MAP,
	config: &config,
	get_info: get_info_ieee1394,
	run: load_module,
	end: NULL,
};
