/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: list.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>

#include	"murasaki.h"
#include	"env.h"

/*
 * list[0] -> something ... list[i] -> ptr , list[i+1] -> NULL
 */ 
int
add_to_list(char **list,char *ptr,int listmax)
{
	int i;

	for(i = 0;i < listmax - 1 && list[i] != NULL;i++)
		;		
	if (i == listmax - 1)
		return INVALID;
	list[i] = ptr;
	list[i+1] = NULL;

	return GOOD;
}

int
count_of_list(char **list)
{
	int i;

	for(i = 0;list[i] != NULL;i++)
		;		
	return i;
}

void
remove_from_list(char **list,int idx)
{
	int i;

	/* don't exchange to use module's option */
	for(i = 0;list[i] != NULL;i++) {
		if (i > idx) {
			list[i-1] = list[i];
		}
	}
	list[i-1] = NULL;
}

void
print_list(char **list)
{
	int i;

	for(i = 0;list[i] != NULL;i++)
		DPRINTF(LOG_LEVEL,"list[%d]=\"%s\"",i,list[i]);
}
