/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: class.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<stdlib.h>

#include	"murasaki.h"
#include	"env.h"

/*
 * format: x
 */
int
get_id_pci_class(MU_pci_config_t *config)
{
	char *ptr;

	ptr = getenv("PCI_CLASS");
	if (ptr == NULL)
		return INVALID;

	config->class = strtoul(ptr,NULL,16);
	config->class_mask = 0;	/* not used */
	DPRINTF(LOG_LEVEL,"class 0x%x",config->class);

	return GOOD;
}

