/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: op.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdlib.h>

#include	"murasaki.h"
#include	"env.h"

MU_usb_config_t config;

static void
get_info_usb(void)
{
	if (get_id_usb_product(&config) == INVALID)
		exit(1);
	if (get_id_usb_type(&config) == INVALID)
		exit(1);
}

struct mu_op mu_op = {
	command: MU_USB,
	mappath: MU_CONF_DIR "/" MU_USBMAP,
	default_mapname: MU_DEFAULT_USBMAP,
	config: &config,
	get_info: get_info_usb,
	run: load_module,
	end: NULL,
};
