/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <limits.h>
#include "config.h"

#include "VncNavGuide.h"


VncNavGuide::VncNavGuide(::SDL_Surface		*screen,
						 const ::SDL_Rect&	rect)
	: NavGuide(screen, rect)
{
	
	
	m_AlphaValue = 254;
}

VncNavGuide::~VncNavGuide()
{
}

int
VncNavGuide::Init()
{
	int rc;

	rc = NavGuide::Init();
	if ( rc != 0 ) {
		return rc;
	}

	
	
	SDL_SetAlpha(m_BgImage, 0, 255);
	SDL_SetAlpha(m_Image, 0, 255);

	return 0;
}

