/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef SDL_STRETCHBLIT_H
#define SDL_STRETCHBLIT_H

#include "SDL.h"

#ifdef __cplusplus
extern "C" {
#endif 

	
	typedef enum {
		SDL_STRETCH_NEAREST,	
		SDL_STRETCH_BILINEAR,	
		SDL_STRETCH_BILINEAR_LI	
	} SDL_StretchMode;


    
	extern int SDL_StretchBlit( SDL_Surface *src, SDL_Rect *srcrect,
								SDL_Surface *dst, SDL_Rect *dstrect,
								SDL_StretchMode mode );

#ifdef __cplusplus
}
#endif 
#endif 
