/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/








#ifndef _LKI_KEY_H_
#define _LKI_KEY_H_




#define KEY_R_EZOOM_P		0x28
#define KEY_R_EZOOM_M		0x29
#define KEY_R_COMP1			0x43
#define KEY_R_COMP2			0x44
#define KEY_R_SVIDEO		0x45
#define KEY_R_VIDEO			0x46
#define KEY_R_FREEZE		0x47
#define KEY_R_ENTER			0x49
#define KEY_R_F1			0x51
#define KEY_R_F2			0x52
#define KEY_R_F3			0x53
#define KEY_R_F4			0x54
#define KEY_R_F5			0x55
#define KEY_R_UP			0x58
#define KEY_R_DOWN			0x59
#define KEY_R_LEFT			0x5A
#define KEY_R_RIGHT			0x5B
#define KEY_R_RIGHTUP		0x5C
#define KEY_R_LEFTUP		0x5D
#define KEY_R_BNC			0x00
#define KEY_R_DVL			0x00
#define KEY_R_EASYMP		0x00
#define KEY_R_EFECT			0x00
#define KEY_R_PREVIEW		0x00
#define KEY_R_0				0x76
#define KEY_R_RIGHTDOWN		0x5E
#define KEY_R_LEFTDOWN		0x5F
#define KEY_R_POWER			0x3B
#define KEY_R_MENU			0x3C
#define KEY_R_ESC			0x3D
#define KEY_R_AVMUTE		0x3E
#define KEY_R_COLORMODE		0x3F
#define KEY_R_AUTO			0x4A
#define KEY_R_PATTERN		0x4B
#define KEY_R_ASPECT		0x4C
#define KEY_R_DRGB			0x4D
#define KEY_R_INPUTA		0x4E
#define KEY_R_MEMORY1		0x61
#define KEY_R_MEMORY2		0x62
#define KEY_R_MEMORY3		0x63
#define KEY_R_MEMORY4		0x64
#define KEY_R_MEMORY5		0x65
#define KEY_R_MEMORY6		0x66
#define KEY_R_3				0x73
#define KEY_R_4				0x74
#define KEY_R_5				0x75
#define KEY_R_6				0x76
#define KEY_R_7				0x77
#define KEY_R_8				0x78
#define KEY_R_9				0x79
#define KEY_R_PAGEUP		0x68
#define KEY_R_PAGEDOWN		0x69

#endif 

