/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/







#ifndef _LKI_XMODEM_H_
#define _LKI_XMODEM_H_




#define XMDM_DATALEN				128				
#define XMDM1K_DATALEN				1024			
#define XMDMCRC_PACKETLEN			128+5			
#define XMDM1KCRC_PACKETLEN			1024+5			
#define XMDM_ACK					0x06			
#define XMDM_NAK					0x15			
#define XMDM_CAN					0x18			
#define XMDM_SOH					0x01			
#define XMDM_STX					0x02			
#define XMDM_EOT					0x04			
#define XMDM_EOF					0x1A			
#define XMDM_C						0x43			




#define XMDMBUFF_MAXLEN			XMDM1K_DATALEN+1	
#define COMMBUFF_MAXLEN			XMDMBUFF_MAXLEN		

#endif 

