/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/








#ifndef ___LKI_DEFINE_H___
#define ___LKI_DEFINE_H___



#define ___DEBUG___
#ifdef NDEBUG
#undef ___DEBUG___
#endif

#include "libkeyinput.h"

#ifdef ___DEBUG___
#define DEBUGF(args...)	fprintf(stderr, args);
#else
#define DEBUGF(args...)
#endif





typedef struct tag_ComInfoAnalisys{
	char sName[20];				
	char sParam[5];				
	int  iGet;				
}COMINFO_ANALISYS;




#define IM_TCP_PORT_NO		3629		
#define EVENT_PORT		10000		
#define ESCVP21_RECEIVE_TIMEOUT_SEC	3	
#define DEFALUT_APPNAME		"IMX_APP"	




#define XMDM_RETRYMAX		1		
#define XMDM_RECEIVE_SEQ_TIMEOUT	10	
#define XMDM_RECEIVE_CHR_TIMEOUT	1	




#ifdef mips
#define	KISYU_TBL_FILE		"/usr/epson/rsrc/devdepend.bin"
#else
#define KISYU_TBL_FILE "../rsrc/devdepend.bin"
#endif

#endif	
