/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: bus.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>

#include	"murasaki.h"
#include	"env.h"

/*
 * format: s
 */
int
get_id_pci_slot(MU_pci_config_t *config)
{
	char *ptr;

	ptr = getenv("PCI_SLOT_NAME");
	if (ptr == NULL)
		return INVALID;

	config->slot = strdup(ptr);
	if (config->slot == NULL)
		return INVALID;
	DPRINTF(LOG_LEVEL,"slot \"%s\"",config->slot);

	return GOOD;
}

